This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Re: [perl #36061] Not OK: perl v5.8.7 on darwin-2level 8.1.0 (UNINSTALLED)
[perl5.git] / README.macosx
index 2497c18..04f8d10 100644 (file)
@@ -13,12 +13,13 @@ This document briefly describes perl under Mac OS X.
 
 =head1 DESCRIPTION
 
 
 =head1 DESCRIPTION
 
-The latest Perl (5.8.1-RC3 as of this writing) builds without changes
-under Mac OS X. Under the 10.3 "Panther" release, all self-tests pass,
+The latest Perl (5.8.8 as of this writing) builds without changes
+under Mac OS X. Under the 10.4 "Tiger" release, all self-tests pass,
 and all standard features are supported.
 
 and all standard features are supported.
 
-Earlier Mac OS X releases did not include a completely thread-safe libc,
-so threading is not fully supported. Also, earlier releases included a
+Mac OS X releases prior to 10.3 "Panther" did not include a completely
+thread-safe libc, so threading is not fully supported when Perl is built
+for these releases. Also, earlier releases included a
 somewhat buggy libdb, so some of the DB_File tests are known to fail on
 those releases.
 
 somewhat buggy libdb, so some of the DB_File tests are known to fail on
 those releases.
 
@@ -56,17 +57,10 @@ significantly greater than either the static library, or Apple's
 pre-bound dynamic library.
 
 
 pre-bound dynamic library.
 
 
-=head2 Updating Panther
+=head2 Updating Apple-supplied Perl
 
 
-As of this writing, the latest Perl release that has been tested and
-approved for inclusion in the 10.3 "Panther" release of Mac OS X is
-5.8.1 RC3. It is currently unknown whether the final 5.8.1 release will
-be made in time to be tested and included with Panther.
-
-If the final release of Perl 5.8.1 is not made in time to be included
-with Panther, it is recommended that you wait for an official Apple
-update to the OS, rather than attempting to update it yourself. In most
-cases, if you need a newer Perl, it is preferable to install it in some
+Apple ships a threaded build of perl 5.8.6 with Mac OS 10.4.x, "Tiger".
+In most cases, if you need a newer Perl, it is preferable to install it in some
 other location, such as /usr/local or /opt, rather than overwriting the
 system Perl.  The default location (no -Dprefix=... specified when running
 Configure) is /usr/local.
 other location, such as /usr/local or /opt, rather than overwriting the
 system Perl.  The default location (no -Dprefix=... specified when running
 Configure) is /usr/local.
@@ -81,9 +75,39 @@ static libperl, you need to be sure to delete the older dynamic library
 after you've installed the update.
 
 Note that this is only an issue when updating from an older build of the
 after you've installed the update.
 
 Note that this is only an issue when updating from an older build of the
-same Perl version. If you're updating from (for example) 5.8.1 to 5.8.2,
+same Perl version. If you're updating from (for example) 5.8.6 to 5.8.8,
 this issue won't affect you.
 
 this issue won't affect you.
 
+=head2 64-bit Perl
+
+By default, perl is built to use 32-bit integers and pointers. The hints file,
+F<hints/darwin.sh>, provides experimental support for 64-bit integers 
+and pointers (on G5 processors only) when Configure is run with the
+C<-Duse64bitall> option. Expect many compiler warnings and a number
+of test failures.
+
+=head2 Intel processor support
+
+At the time of writing, the Perl developers have no knowledge of the
+behaviour (or misbehaviour) of the Perl build process when hosted by
+an Intel-based Macintosh. As far as we know, Apple ships Perl 5.8.6
+with Intel developer builds of Mac OS X, so we presume that there
+are few or no problems in building that version of Perl. (The source
+package used by Apple may be found at L<http://opendarwin.org/>.)
+If you encounter problems in building a later version of Perl for an
+Intel-based Macintosh, please file a bug report, if possible by using
+the following command in the build directory: 
+
+    ./perl -Ilib utils/perlbug
+
+=head2  Universal binaries
+
+Apple's Xcode development tools, version 2.1 and later, provide
+support for the creation of I<universal binaries>, which contain
+code for both PowerPC and Intel architectures. (In the past, and on
+other platforms, such executable files have been known as I<fat
+binaries>.) Perl's build process currently provides no support for
+the production of universal binaries.
 
 =head2 Known problems
 
 
 =head2 Known problems
 
@@ -112,10 +136,10 @@ but remember that there's a startup cost to pay in that case (see above
 "libperl and Prebinding").
 
 Starting with Tiger (Mac OS X 10.4), Apple shipped broken locale files for
 "libperl and Prebinding").
 
 Starting with Tiger (Mac OS X 10.4), Apple shipped broken locale files for
-the eu_ES locale (Basque-Spain).  When testing Perl, this will show up as
-test failues in the tests C<..lib/locale>.  Unless you require the
-eu_ES locale, you should be OK to install Perl.  If you do need this 
-locale, you should contact Apple support.
+the eu_ES locale (Basque-Spain).  In previous releases of Perl, this resulted in
+failures in the C<lib/locale> test. These failures have been supressed
+in the current release of Perl by making the test ignore the broken locale.
+If you need to use the eu_ES locale, you should contact Apple support.
 
 =head2 MacPerl
 
 
 =head2 MacPerl
 
@@ -190,10 +214,11 @@ settings were not quite right.
 
 =head1 AUTHOR
 
 
 =head1 AUTHOR
 
-This README was written by Sherm Pendley E<lt>sherm@dot-app.orgE<gt>.
+This README was written by Sherm Pendley E<lt>sherm@dot-app.orgE<gt>,
+and subsequently updated by Dominic Dunlop E<lt>domo@computer.orgE<gt>.
 The "Starting From Scratch" recipe was contributed by John Montbriand
 E<lt>montbriand@apple.comE<gt>.
 
 =head1 DATE
 
 The "Starting From Scratch" recipe was contributed by John Montbriand
 E<lt>montbriand@apple.comE<gt>.
 
 =head1 DATE
 
-Last modified 2003-09-08.
+Last modified 2005-11-07.